export declare class EclMegaMenuItem {
    theme: string;
    styleClass: string;
    label: string;
    path?: string;
    featuredImage: string;
    oneLevelOnly: boolean;
    isPromotional: boolean;
    external: boolean;
    seeAll: boolean;
    hasInfo: boolean;
    hasFeatured: boolean;
    featuredTitle: string;
    hasChildren: boolean;
    seeAllLabel?: string;
    infoTitle: string;
    isContainer: boolean;
    ariaLabel: string;
    componentWillLoad(): void;
    getClass(): string;
    render(): any;
}
